#1656 closed enhancement

GSoC AIO patch

Reported by: Alin Rus Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: minor Keywords:
Cc: ralf.corsepius@…, chrisj@…, aanjhan@… Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

POSIX aio_* implementation as part of the Google Summer of Code.

Besides the attached patch you can also check the repo for the project
http://code.google.com/p/rtemsaio/source/browse/#svn/trunk/rtems/cpukit/posix

There is also some testing information hosted on the wiki
http://code.google.com/p/rtemsaio/wiki/Testing

If you think there's something missing (code/comments) please reply I
would be more than happy to address those issues.

You can also take a look in testsuites/samples/testrtemsaio in the repo.

The patched contains implementations for aio_read, aio_write, aio_error and aio_return.

Implementations for lio_listio, aio_cancel will soon follow after notification is finished.

Attachments (1)

rtems_aio.patch (30.8 KB) - added by Alin Rus on Aug 7, 2010 at 4:14:37 PM.
aio_write/aio_read/aio_return/aio_error

Download all attachments as: .zip

Change History (4)

Changed on Aug 7, 2010 at 4:14:37 PM by Alin Rus

Attachment: rtems_aio.patch added

aio_write/aio_read/aio_return/aio_error

comment:1 Changed on Aug 19, 2010 at 4:47:01 PM by Joel Sherrill

Replying to comment:28:

Replying to comment:27:

Replying to comment:26:

aio_fsync shouldn't be terribly hard to add.

O_DSYNC is not implemented
./doc/posix1003.1/ch05.t:O_DSYNC, Constant, Unimplemented

should I implement aio_fsync only for O_SYNC?

Depends on how much effort adding support for it would be.

I'd suggest to concentrate on getting the parts we have fully functional and
stable, and to avoid opening "new construction sites".

Agreed.

comment:2 Changed on Nov 21, 2014 at 3:02:26 PM by Joel Sherrill

Description: modified (diff)
Resolution: fixed
Status: newclosed

This code is all merged. That was the purpose of this ticket. Closing.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.